#!/bin/sh
echo "setphptimezone.sh"
CURRENT_DB=/var/local/data/capeclock.db
SQLITE_SHELL=/usr/local/bin/sqlite3shell
TZ=`echo "select tz_current from thisdev;" | $SQLITE_SHELL $CURRENT_DB`
PHPINI=/etc/php.ini
TEMPLOG=/var/local/data/temp.log
echo "setphptimezone.sh" > $TEMPLOG
if grep -i -l "\[Date\]" $PHPINI > /dev/null; then
	echo "date.timezone changed to $TZ" >> $TEMPLOG
  if grep -i -l "date.timezone" $PHPINI > $TEMPLOG; then
    sed -i "s:date.timezone = [0-9-z]*$:date.timezone = $TZ:" $PHPINI
	else
	  #! this assumes the [Date] section is last, which it might not be.
	  echo "date.timezone = $TZ" >> $PHPINI
  fi	
else
	echo "[Date] section not found, appending timezone $TZ" >> $TEMPLOG
  echo "[Date]" >> $PHPINI
  echo "date.timezone = $TZ" >> $PHPINI
fi
cat $PHPINI >> $TEMPLOG
exit 0
